%global spname		ldapsp
%global filtname	ldapfilt
%global beansname	ldapbeans
#global _phase		-a1

Name:		ldapjdk
Epoch:		0
Version:	4.22.0
Release:	%mkrel 1
Summary: 	The Mozilla LDAP Java SDK
License:	MPLv1.1 or GPLv2+ or LGPLv2+
Group:		Development/Java
URL:		http://www.dogtagpki.org/
# To create a tarball from a version tag:
# $ git archive \
#     --format=tar.gz \
#     --prefix ldap-sdk-<version>/ \
#     -o ldap-sdk-<version>.tar.gz \
#     <version tag>
Source:		https://github.com/dogtagpki/ldap-sdk/archive/v%{version}%{?_phase}/ldap-sdk-%{version}%{?_phase}.tar.gz
# To create a patch for all changes since a version tag:
# $ git format-patch \
#     --stdout \
#     <version tag> \
#     > ldap-sdk-VERSION-RELEASE.patch
# Patch: ldap-sdk-VERSION-RELEASE.patch
Patch1:		0001-Use-JDK8-target-as-suggested-by-Fabio.patch

# autosetup
BuildRequires:	git-core

BuildRequires:	ant
BuildRequires:	java-devel
BuildRequires:	javapackages-local
BuildRequires:	slf4j
BuildRequires:	slf4j-jdk14
BuildRequires:	jss >= 4.6.0

Provides:	jndi-ldap = 1.3.0

Requires:	slf4j
Requires:	slf4j-jdk14
Requires:	jss >= 4.6.0

BuildArch:	noarch

%description
The Mozilla LDAP SDKs enable you to write applications which access,
manage, and update the information stored in an LDAP directory.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%autosetup -n ldap-sdk-%{version}%{?_phase} -p 1 -S git

# Remove all bundled jars, we must build against build-system jars
rm -f ./java-sdk/ldapjdk/lib/{jss32_stub,jsse,jnet,jaas,jndi}.jar

%build

pwd
( cd  java-sdk/ldapjdk/lib && build-jar-repository -s -p . jss4 )
ln -s /usr/lib/jvm-exports/java/{jsse,jaas,jndi}.jar java-sdk/ldapjdk/lib
cd java-sdk
if [ ! -e "$JAVA_HOME" ] ; then export JAVA_HOME="%{_jvmdir}/java" ; fi
sh -x ant dist

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 java-sdk/dist/packages/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -m 644 java-sdk/dist/packages/%{spname}.jar $RPM_BUILD_ROOT%{_javadir}/%{spname}.jar
install -m 644 java-sdk/dist/packages/%{filtname}.jar $RPM_BUILD_ROOT%{_javadir}/%{filtname}.jar
install -m 644 java-sdk/dist/packages/%{beansname}.jar $RPM_BUILD_ROOT%{_javadir}/%{beansname}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}-1.3.0

pushd $RPM_BUILD_ROOT%{_javadir}-1.3.0
	ln -fs ../java/*%{spname}.jar jndi-ldap.jar
popd

mkdir -p %{buildroot}%{_mavenpomdir}
sed -i 's/@VERSION@/%{version}/g' %{name}.pom
install -pm 644 %{name}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "ldapsdk:ldapsdk"

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -r java-sdk/dist/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files -f .mfiles
%license docs/ldapjdk/license.txt
%{_javadir}/%{spname}*.jar
%{_javadir}/%{filtname}*.jar
%{_javadir}/%{beansname}*.jar
%{_javadir}-1.3.0/*.jar

%files javadoc
%dir %{_javadocdir}/%{name}
%{_javadocdir}/%{name}/*




%changelog
* Sun Sep 06 2020 daviddavid <daviddavid> 0:4.22.0-1.mga8
+ Revision: 1622849
- new version: 4.22.0

* Sun Feb 16 2020 umeabot <umeabot> 0:4.21.0-2.mga8
+ Revision: 1536301
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 0:4.21.0-1.mga8
+ Revision: 1453769
- new version: 4.21.0

* Fri Feb 08 2019 daviddavid <daviddavid> 0:4.20.0-1.mga7
+ Revision: 1364278
- new version: 4.20.0

* Thu Sep 20 2018 umeabot <umeabot> 0:4.19-2.mga7
+ Revision: 1279194
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 daviddavid <daviddavid> 0:4.19-1.mga7
+ Revision: 1168950
- Rebase ldapjdk to 4.19 (sync with fc27)
- Resolves: rhbz #1394372
- Don't rely on build-jar-repository for locating JVM extension JARs
- Resolves: rhbz#1488851
+ neoclust <neoclust>
- Second rebuild of the java stack
- First rebuild of the java stack
- sync package ldapjdk with fedora

* Tue Feb 09 2016 umeabot <umeabot> 0:4.18-18.mga6
+ Revision: 952183
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 0:4.18-17.mga5
+ Revision: 811503
- use .mfiles generated during build
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 0:4.18-16.mga5
+ Revision: 747843
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:4.18-15.mga5
+ Revision: 681286
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:4.18-14.mga4
+ Revision: 506797
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:4.18-13.mga3
+ Revision: 356719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 dmorgan <dmorgan> 0:4.18-12.mga3
+ Revision: 328005
- Build with java7

* Thu Sep 13 2012 dmorgan <dmorgan> 0:4.18-11.mga3
+ Revision: 293303
- Clean spec file

* Mon Jun 25 2012 dmorgan <dmorgan> 0:4.18-10.mga3
+ Revision: 263563
- Add comment about what we need to merge in fedora

* Sat Dec 03 2011 dmorgan <dmorgan> 0:4.18-0.0.5.mga2
+ Revision: 175593
- Remove gcj support
+ gil <gil>
- added maven2 pom

* Fri Jan 21 2011 dmorgan <dmorgan> 0:4.18-0.0.4.mga1
+ Revision: 28497
- imported package ldapjdk


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:4.18-0.0.4mdv2011.0
+ Revision: 606397
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:4.18-0.0.3mdv2010.1
+ Revision: 523161
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:4.18-0.0.2mdv2010.0
+ Revision: 425504
- rebuild

* Mon Nov 24 2008 David Walluck <walluck@mandriva.org> 0:4.18-0.0.1mdv2009.1
+ Revision: 306132
- 4.18

* Wed Dec 26 2007 David Walluck <walluck@mandriva.org> 0:4.17-1.6.0mdv2008.1
+ Revision: 138165
- fix build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)
    - remove unnecessary Requires(post) on java-gcj-compat


* Tue Dec 12 2006 David Walluck <walluck@mandriva.org> 4.17-1.4mdv2007.0
+ Revision: 95185
- bump release
- Import ldapjdk

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:4.17-1.3mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:4.17-1.2mdk
- BuildRequires: java-devel

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:4.17-1.1mdk
- release

* Thu Jan 27 2005 Gary Benson <gbenson@redhat.com> 0:4.17-1jpp_2fc
- Remove non-distributable files from the source tarball.

* Fri Jan 21 2005 Gary Benson <gbenson@redhat.com> 0:4.17-1jpp_1fc
- Build into Fedora.

* Tue Nov 16 2004 Fernando Nasser <fnasser@redhat.com> 0:4.17-1jpp_1rh
- Merge with upstream for upgrade

* Fri Aug 27 2004 Fernando Nasser <fnasser@redhat.com> 0:4.17-1jpp
- Upgrade to 4.17
- Rebuilt with Ant 1.6.2

* Fri Mar 05 2004 Frank Ch. Eigler <fche@redhat.com> 0:4.1-5jpp_1rh
- RH vacuuming
- added ldapjdk-javaxssl.patch to stop using com.sun.*

